Subject: Re: Keep original author with git merge --squash?

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Feb 2015 12:18:51 -0800

Jeff King <[email-masked]> writes:

> On Wed, Feb 11, 2015 at 09:21:04AM -0800, David Glasser wrote:
>
>> (I'm not sure if this should be a flag to --squash or to commit.
>> Maybe `git merge --squash`; `git commit --use-squashed-author`?  Seems
>> like it should be not too hard to implement; SQUASH_MSG is pretty
>> parseable.  Or just a config value.)
>
> It sounds like "git commit -c" is close to what you want, which will
> pull the author and commit message from a particular commit. But I don't
> think there is a convenient way to name the commit in your case (it is
> likely to be the first commit on the branch you are squash-merging, but
> there isn't a shorthand for that).

I thought David was primarily interested in the case where a branch
authored by a single person, so specifying the tip of the branch
being "merged" would be sufficient, no?